package kaysaar.aotd_question_of_loyalty.data.scripts.fleets;

import java.util.Random;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.impl.campaign.missions.hub.HubMissionWithTriggers;
import com.fs.starfarer.api.impl.campaign.missions.DelayedFleetEncounter;
import com.fs.starfarer.api.util.Misc;

public class TraitorBountyFleetApplier
{
    public static void triggerTreasonFleets(final String factionId) {
        if (Misc.getFactionMarkets(factionId).isEmpty()) {
            return;
        }
        final Random r = Misc.getRandom(Misc.random.nextLong(), 11);
        final DelayedFleetEncounter e = new DelayedFleetEncounter(r, "traitor_hunter_" + factionId);
        e.setTypes(new DelayedFleetEncounter.EncounterType[] { DelayedFleetEncounter.EncounterType.OUTSIDE_SYSTEM, DelayedFleetEncounter.EncounterType.IN_HYPER_EN_ROUTE, DelayedFleetEncounter.EncounterType.JUMP_IN_NEAR_PLAYER });
        e.setDelay(15.0f, 20.0f);
        e.setLocationInnerSector(true, factionId);
        e.beginCreate();
        final HubMissionWithTriggers.FleetQuality quality1 = HubMissionWithTriggers.FleetQuality.DEFAULT;
        e.triggerCreateFleet(HubMissionWithTriggers.FleetSize.MAXIMUM, quality1, factionId, "aotd_traitor_hunters", Global.getSector().getPlayerFleet().getLocationInHyperspace());
        e.triggerSetFleetDoctrineOther(5, 5);
        e.triggerSetFleetOfficers(HubMissionWithTriggers.OfficerNum.MORE, HubMissionWithTriggers.OfficerQuality.UNUSUALLY_HIGH);
        e.triggerFleetMakeFaster(true, 0, true);
        e.triggerSetFleetFaction(factionId);
        e.triggerFleetSetName("HVT Hunter");
        e.triggerSetFleetGenericHailPermanent("AoTDQolTraitorHunterFleet");
        e.setDoNotAbortWhenPlayerFleetTooStrong();
        e.setRepPersonChangesVeryHigh();
        e.triggerSetFleetMemoryValue("$cfai_makeAlwaysPursue", (Object)true);
        e.triggerSetFleetMemoryValue("$sawPlayerTransponderOn", (Object)true);
        e.triggerSetFleetMemoryValue("$cfai_makeAggressive", (Object)true);
        e.triggerMakeFleetIgnoreOtherFleetsExceptPlayer();
        e.triggerSetFleetFlagPermanent("$aotd_traitor_hunter");
        e.endCreate();
    }
}
